{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Creates a new webhook configuration for sending finding notifications to external endpoints.","properties":{"path":{"type":"object","properties":{"account_id":{"type":"string","examples":["46148281d8a93d002ef242d8b0d5f9f6"],"description":"Cloudflare account ID for the user making the request."}},"required":["account_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/posture-api_CreateWebhookRequest"}},"required":["path","body"],"additionalProperties":false,"definitions":{"posture-api_CreateWebhookRequest":{"description":"Request body for creating a new webhook configuration.","type":"object","properties":{"authentication_type":{"description":"Type of authentication used for the webhook.","type":"string","enum":["Basic Auth","None","Bearer Auth","Static Headers","HMAC-Signing"],"examples":["HMAC-Signing"]},"destination_url":{"description":"Target URL for the webhook configuration. Where resulting data will be sent.","type":"string","format":"uri","examples":["https://example.com/webhook"]},"headers":{"description":"List of custom headers to include in webhook requests.","type":"array","items":{"$ref":"#/definitions/posture-api_WebhookHeaderInput"},"examples":[[{"key":"X-Custom-Header","value":"value"}]]},"label":{"description":"Account-specified display label for the webhook configuration.","type":"string","examples":["Send to Slack"]},"signing_secret":{"description":"Secret key used for HMAC signing when authentication_type is \"HMAC-Signing\".","type":"string","examples":["my-secret-key"]},"status":{"description":"Status of the webhook configuration. Defaults to enabled when omitted.","type":"string","default":"enabled","enum":["enabled","disabled"],"examples":["enabled"]}},"required":["label","destination_url","authentication_type"]},"posture-api_WebhookHeaderInput":{"description":"A header to include in webhook requests. On Create/Evaluate, both key and value are required. On Update, omitting value means \"keep existing value\".","type":"object","properties":{"key":{"description":"Header key name.","type":"string","maxLength":255,"examples":["Authorization"]},"value":{"description":"Header value. Required on Create and Evaluate. On Update, omit or set to null to keep existing value.","type":["string","null"],"maxLength":4096,"examples":["Bearer token123"]}},"required":["key"]}}},"name":"Create a new webhook configuration","id":"cloudflare.createwebhook","example":{"path":{"account_id":"46148281d8a93d002ef242d8b0d5f9f6"},"body":{"label":"Send to Slack","destination_url":"https://example.com/webhook","authentication_type":"HMAC-Signing"}},"maxRequests":1,"summary":false}}